#pragma once

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif

int
nms_init(int verbose);

void *
nms_malloc(int nodeid, size_t sz);

void *
nms_alloc_static(int nodeid, size_t sz);

void
nms_free_static(void * buf, size_t sz);

void
nms_free(int nodeid, void * addr);

#ifdef __cplusplus
}
#endif // __cplusplus
